spasobn Posted July 7, 2009 Posted July 7, 2009 Lee, your NumInc is a fantastic. But, I neeed something more. I very often have to put increment number in circle. Number need to be in the center of the circle as in attach. How to do it quickly. Quote
Lee Mac Posted July 7, 2009 Author Posted July 7, 2009 Thanks for the compliments This is in fact the second request for an outlined number, - I would recommend you use TCIRCLE (from Express tools), after using my LISP Quote
spasobn Posted July 7, 2009 Posted July 7, 2009 Yes, TCircle is what I need. But, it would be so nice that you have outline options in NumInc. Expecting soon. Quote
lpseifert Posted July 7, 2009 Posted July 7, 2009 Yes, TCircle is what I need. But, it would be so nice that you have outline options in NumInc. Expecting soon. Pregnant ? Quote
flowerrobot Posted July 8, 2009 Posted July 8, 2009 I can provide you with one, similar, but it dose not do prefix, & comes dynamic leader? Good for item ballons.. Regards Flower Quote
pmsrefugee Posted September 23, 2009 Posted September 23, 2009 Great program, but I can't get the Shift + Space to work. Shift by itself rotates CCW but I can't get it to rotate CW. Any ideas? Using Autocad 2010. Quote
Lee Mac Posted September 23, 2009 Author Posted September 23, 2009 Yes, I had this problem too on AutoCAD 2010, not quite sure what is causing it - I tested it on ACAD 2004 and all is fine. Quote
bobcat88 Posted October 6, 2009 Posted October 6, 2009 Anyway to osnap active during command? I have a need to select the center of acr for placement. Quote
alanjt Posted October 6, 2009 Posted October 6, 2009 Yes, I had this problem too on AutoCAD 2010, not quite sure what is causing it - I tested it on ACAD 2004 and all is fine. I just noticed this today (bumped by preceding post), but I'm sure the problem is due to a change in how one can cycle through objects (sitting on top of each other). Autocad used to cycle with the Ctrl key but in newer versions, it cycles with Shift + Space and the Ctrl key is used for subobjects, etc. I bet if you reverted back to old, this option might work in newer version of autocad. Here's the variable & info.: legacyctrlpick Specifies the keys for selection cycling and the behavior for CTRL + left-click. 0 CTRL + left-click is used to select subobjects (faces, edges, and vertices) on 3D solids. 1 CTRL + left-click is used to cycle through overlapping objects. Disallows using CTRL + left-click to select subobjects on 3D solids. Quote
Lee Mac Posted October 6, 2009 Author Posted October 6, 2009 I haven't the time to update the LISP to include OSnaps, but try this program instead, (should have the same functionality, if not more). http://www.theswamp.org/index.php?topic=28727.msg349955#msg349955 Quote
stevsmith Posted October 14, 2009 Posted October 14, 2009 Hi Lee, love the numinc A small recommendation would be to allow the use of object snap. I tried your v7. Shift and right click but the snap menu didn't come up. I think this would cream it off. Quote
stevsmith Posted October 14, 2009 Posted October 14, 2009 oops, just realised someone beat me to it. sorry mate Quote
otil Posted December 21, 2009 Posted December 21, 2009 There is an error appear after the syntax NumInc "Error loading number Increment. What i did is I save the DCl file under C/Program files/autocadd2007/autonumber then add in Options/Files/search file path/. the I apploade the lisp file then that error appears, What that problem, I suspected that the DCL file is save in the wrong path. What I could I do to fix it? need help Quote
Lee Mac Posted December 21, 2009 Author Posted December 21, 2009 There is an error appear after the syntax NumInc "Error loading number Increment. What i did is I save the DCl file under C/Program files/autocadd2007/autonumber then add in Options/Files/search file path/. the I apploade the lisp file then that error appears, What that problem, I suspected that the DCL file is save in the wrong path. What I could I do to fix it? need help Just save the DCL to any support path, and the program should work. See here (2nd post) http://www.cadtutor.net/forum/showthread.php?t=1390 Quote
Lee Mac Posted February 19, 2010 Author Posted February 19, 2010 Because I wrote this program so long ago, I thought I'd spend some time updating the code. I have updated the code in the Archive to Version 1.7 (yes, I realise the old version was Version 7, but I have change the version codes to match my other programs). The new code can be found here. Lee Quote
Lee Mac Posted February 19, 2010 Author Posted February 19, 2010 Apologies for all these updates... It seems that the Rotation of text using Shift+Space doesn't seem to work in 2010, but does in 2004... So I have changed the controls: [ [ > ] -- Rotation CW This seems more intuitive, and will now work correctly. The rotation is displayed in the status bar. As usual, the new code can be found here. Feedback is welcome, Lee Quote
otil Posted February 21, 2010 Posted February 21, 2010 Thank Lee I would be great if osnap is taken, so you can easily arrange. I have lisp for incremental numbering but the problem there is no option for prefix and suffix and other features as same as your Numinc. I am please to ask you to modify or update the above lisp which NOV & NOC lisp ------------------------------------------------------------------- ;; ;;NOC.LSP Writes the numbers at constant distance in sequence ;; (defun c:NOC ( / ent) (setvar "cmdecho" 0) (setq ent (entsel "\nSelect TEXT..............")) (redraw (car ent) 3) (setq e (getpoint "\nBase point to copy :")) (setq f (setq z (getpoint "\nSecond point to copy :"))) (if (= z nil) (setq f "") ) (setq c (getreal "\nEnter value for increment :")) (if (= c 0) (progn (princ "\nDo you wish to enter zero") (initget "Yes No") (setq x (getkword "\nNo/ :")) (setq c 0) (if (= x "No") (setq c (getint "\nEnter value for increment :")) ) ) ) (setvar "dimzin" (repeat (- (getint "\nEnter no of times to copy :") 1) (command "copy" ent "" e f) (setq ent1 (entget (entlast))) (setq b (atof (cdr (assoc 1 ent1)))) (setq ent2 (assoc 1 ent1)) (setq d (rtos (+ b c))) (setq ent3 (cons 1 d)) (setq ent1 (subst ent3 ent2 ent1)) (entmod ent1) (setq ent4 (entget (entlast))) (setq ent (cdr (assoc -1 ent4))) ) (setvar "dimzin" 0) (redraw) (princ) ) (c:noc) (princ) ------------------------------------------------------------------- ;; ;;NOV.LSP Writes the numbers at variable distance in sequence ;; (defun c:NOV ( / ent) (setvar "cmdecho" 0) (setq ent (entsel "\nSelect TEXT..............")) (redraw (car ent) 3) (setq c (getreal "\nEnter value for increment :")) (if (= c 0) (progn (princ "\nDo you wish to enter zero") (initget "Yes No") (setq x (getkword "\nNo/ :")) (setq c 0) (if (= x "No") (setq c (getint "\nEnter value for increment :")) ) ) ) (setvar "lastpoint" (setq e (getpoint "\nBase point to copy :"))) (setvar "dimzin" (while (setq f (getpoint "\nEnter next point RETURN when done :")) (command "copy" ent "" e f) (setq ent1 (entget (entlast))) (setq b (atof (cdr (assoc 1 ent1)))) (setq ent2 (assoc 1 ent1)) (setq d (rtos (+ b c))) (setq ent3 (cons 1 d)) (setq ent1 (subst ent3 ent2 ent1)) (entmod ent1) (setq ent4 (entget (entlast))) (setq ent (cdr (assoc -1 ent4))) (setq e f) ) (setvar "dimzin" 0) (redraw) (princ) ) (c:nov) (princ) Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.